package com.platform.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.platform.entities.CheckoutEntity;
import com.platform.entities.PreDataInfo;
import com.platform.form.PagerOptions;

@Repository(value = "preDataInfoDao")
public interface PreDataInfoDao {

	int getLimitedDataCount(PagerOptions pagerOptions);

	int getLimitedBeginId(PagerOptions pagerOptions);

	List<PreDataInfo> getLimitedDataInfoEntities(PagerOptions pagerOptions);

	List<String> getIdIsExist(List<Integer> list)throws Exception;
	
	List<PreDataInfo> findAll()throws Exception;
	
	List<PreDataInfo> findAllCollect()throws Exception;
	
	List<CheckoutEntity> findByCity(PreDataInfo pre)throws Exception;
	
	void insertBatch(List<PreDataInfo> list) throws Exception;
	
	int update(PreDataInfo data) throws Exception;
	
	int updateCollection(PreDataInfo data) throws Exception;
	
	PreDataInfo findStandardByCode(PreDataInfo data) throws Exception;
	
	PreDataInfo findLastByCode(PreDataInfo data) throws Exception;
	
	/** 查找 存在的 系统（根据 地区编码 和 系统编码）
	 * @param list
	 * @return
	 * @throws Exception
	 */
	List<String> getAreaSysNameExistByAreaSysName(List<String> list)throws Exception;

}
